Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
cutlass::MatrixLayout::ColumnMajorBlockLinear< BlockRows, BlockColumns > Struct Template Reference

`#include <matrix_traits.h>`

## Public Member Functions
CUTLASS_HOST_DEVICE Coord< kStorageRank > | operator() (MatrixCoord const &coord) const
| Maps (row, col) to (col, row, col, row) More...

## Static Public Member Functions
static CUTLASS_HOST_DEVICE Coord< kStorageRank > | stride (int ldm)
| Helper to compute stride vector from leading dimension. More...

## Static Public Attributes
static int const | kStorageRank = 4
| Rank of storage n-D array. More...
static int const | kBlockRows = BlockRows
| Interleaving size in rows dimension. More...
static int const | kBlockColumns = BlockColumns
| Interleaving size in columns dimension. More...

## Detailed Description

### template<int BlockRows, int BlockColumns>
struct cutlass::MatrixLayout::ColumnMajorBlockLinear< BlockRows, BlockColumns >

Mapping function for block-linear matrices. Matrix is structured as column-major arrangement of 2D tiles (that are column-major).

## Member Function Documentation

## ◆ operator()()

template<int BlockRows, int BlockColumns>

CUTLASS_HOST_DEVICE Coord<kStorageRank> cutlass::MatrixLayout::ColumnMajorBlockLinear< BlockRows, BlockColumns >::operator() | ( | MatrixCoord const & | coord | ) | const
| inline

## ◆ stride()

template<int BlockRows, int BlockColumns>

static CUTLASS_HOST_DEVICE Coord<kStorageRank> cutlass::MatrixLayout::ColumnMajorBlockLinear< BlockRows, BlockColumns >::stride | ( | int | ldm | ) |
| inline static

## Member Data Documentation

## ◆ kBlockColumns

template<int BlockRows, int BlockColumns>

int const cutlass::MatrixLayout::ColumnMajorBlockLinear< BlockRows, BlockColumns >::kBlockColumns = BlockColumns
| static

## ◆ kBlockRows

template<int BlockRows, int BlockColumns>

int const cutlass::MatrixLayout::ColumnMajorBlockLinear< BlockRows, BlockColumns >::kBlockRows = BlockRows
| static

## ◆ kStorageRank

template<int BlockRows, int BlockColumns>

int const cutlass::MatrixLayout::ColumnMajorBlockLinear< BlockRows, BlockColumns >::kStorageRank = 4
| static

The documentation for this struct was generated from the following file:

- matrix_traits.h